Skip to main content
POST

Authorizations

Authorization
string
header
required

Source-bound WorkOS API key or configured machine OIDC token. OIDC webhook management requires karsa:webhooks:manage.

Headers

Idempotency-Key
string
required

Stable source submission identifier, unique for this source and route

Required string length: 1 - 200
Example:

"01J9ZQ2YD15Y2YZ5H0W3J7D3E2"

Body

application/json
externalId
string
required
Required string length: 1 - 240
monitoringControlId
string
required

Karsa resourceId returned by POST /api/ingestion/monitoring-controls.

Required string length: 1 - 240
sourceStatus
string
required
Required string length: 1 - 240
scheduledFor
string<date-time>
required
effectiveAt
string<date-time>
required
executedAt
string<date-time> | null
resultRecordedAt
string<date-time> | null
resultExternalId
string | null

Optional source-owned result reference.

Required string length: 1 - 240
alertExternalId
string | null

Optional source-owned alert reference.

Required string length: 1 - 240
dispositionExternalId
string | null

Optional source-owned reviewer disposition reference.

Required string length: 1 - 240
providerDetails
object | null

Optional bounded source metadata. Credentials and signed URLs are rejected.

Response

The identical source monitoring control execution already exists

outcome
enum<string>
required
Available options:
CREATED,
EXISTING
resourceId
string
required
Minimum string length: 1
observedAt
string<date-time>
required